Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2022 14:19:45 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Tue, 16 Aug 2022 12:38:37 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I have seen very long lines in Org. Specifically, in source block
> >> output. (http query)
> >
> > How long is "very long" in those cases?
> 
> AFAIR, over a screen full of text when truncate-lines is set to nil.
> It should be over 5k symbols in my screen.
> 
> I remember this because it triggered a significant fontification
> slowdown caused by some (now fixed) Org regexp hitting too many matches
> on that line.
> 
> Also, I just checked some of my org files and found a >15k chars long line.

5k shouldn't present a problem, especially when some/most of it is
invisible (as frequently is the case in Org).  15k might be a problem,
indeed, depending on what's there.  However, since you never
complained about long lines until this day, I guess it isn't such a
big problem.